summaryrefslogtreecommitdiff
path: root/bg1/install-patch-intl.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
committerNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
commit3603dfcb5d12e19b75dccbc2a621adb83fd7adea (patch)
tree4db93b4e5fb98a380475b9edd5c0054a0d51302b /bg1/install-patch-intl.sh
parentc2c29265815ddfa73d77276bc2fd5a53be08e608 (diff)
downloadgemrb-gameinstallers-0.1.1.tar.bz2
gemrb-gameinstallers-0.1.1.zip
Move overridden die for patch to new general function: diesoftlyv0.1.1
Diffstat (limited to 'bg1/install-patch-intl.sh')
-rwxr-xr-xbg1/install-patch-intl.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 2c0aceb..2acb59e 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -28,11 +28,11 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
-unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || die
-unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || die
+unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || diesoftly
+unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
-cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || die
+cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"